Everyware Project plugin
========================
This plugins has a dependency to Infomakers product Everyware. 

## Widget and Plugins
The plugin gives you opportunity to handle your own Plugin and Widgets and activate on site level.
 
#### Directories 
The following directory is needed in your Everyware installation to make the widget and plugin to work and appear in admin.

Plugins directory is should be places in `www/app/Plugins`  
Widgets directory is should be places in `www/app/Widgets`

#### Constitutes of plugin
Add following comment in top of your plugin and widget file to make it appear in WordPress admin

```php
<?php

/**
 * Plugin Name: Dummy plugin
 * Description: This is dummy plugin just to see if things works
 * Version: 1.0.0
 * Author: Infomaker Scandinavia AB
 * Author URI: https://www.infomaker.se
 */
```

## Settings parameters
Gives you opportunity to easy access user input from the WordPress admin to be used in code. 

**Tip!**
If you're using Twig you can easily add helper function to access the SettingParameter class through Twig.
```php
->addFunction( 'settings_parameter', [
    SettingsParameter::class,
   'getValue'
]); 
``` 



# For developer

### Release
We have created a command that helps you to

* Bump version
* Commit and tag
  
```bash
$ ./bin/create-release
```

Then you get option of what type of version you want to release: `Major`, `Minor` & `Patch`. And this script will helps you to update and create 
tags with **semantic versioning** 

#### Update CHANGELOG  
Don't forget to update CHANGELOG.md with the changes made so it's easy for other developer 
to see chat have happened.

### Code conventions
The project are provided with `.editorconfig` in the root-folder which helps you with following formatting standard. Many editors 

#### PHP
In this package we follow the [PSR-1](https://www.php-fig.org/psr/psr-1/) and [PSR-2](https://www.php-fig.org/psr/psr-2/) code standards. Commits not adhering to these standards will be rejected. 

If using the PhpStorm IDE the settings for enabling these standards can be found in Preferences -> Editor -> Code Style -> PHP -> Set from... -> Predefined Style -> PSR1/PSR2  
